export interface ActionLogHighlighter {
    styledTrail: string;
    trail: string;
    joiner(lineNo: number): string;
    escape(term: any, lineNo: number, termNo: number): string;
    stylize(term: any, lineNo: number, termNo: number, text: string, slicedText: string): string;
}
export declare const commandStylizer: ActionLogHighlighter;
export declare const jsCallStyle: ActionLogHighlighter;
export declare class HighlightedRun {
    readonly style: string;
    readonly text: unknown;
    constructor(style: string, text: unknown);
    resolve(): string;
    private static styleMap;
}
export declare const defaultStylizer: ActionLogHighlighter;
